IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network212.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
- Network address
212.0.0.0- Broadcast address
213.255.255.255- First usable
212.0.0.1- Last usable
213.255.255.254- Usable hosts
- 33,554,430 (33,554,432 less the network and broadcast addresses)
- Subnet mask
254.0.0.0- Wildcard mask
1.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /7
- Type
- Public public
- Old class
- C (default /24)
- As numbers
- Hex
D4000000· Integer3556769792to3590324223 - Reverse DNS zones
212.in-addr.arpa213.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11010100.00000000.00000000.00000000 | 212.0.0.0 |
| Subnet mask | 11111110.00000000.00000000.00000000 | 254.0.0.0 |
| Network | 11010100.00000000.00000000.00000000 | 212.0.0.0 |
| Broadcast | 11010101.11111111.11111111.11111111 | 213.255.255.255 |
Split into smaller subnets
/8 (2)/9 (4)/10 (8)/11 (16)/12 (32)/13 (64)/14 (128)/15 (256)/16 (512)/17 (1,024)/18 (2,048)/19 (4,096)
212.0.0.0/7 makes 256 subnets of /15.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 212.0.0.0/15 | 212.0.0.1 to 212.1.255.254 | 212.1.255.255 | 131,070 |
| 2 | 212.2.0.0/15 | 212.2.0.1 to 212.3.255.254 | 212.3.255.255 | 131,070 |
| 3 | 212.4.0.0/15 | 212.4.0.1 to 212.5.255.254 | 212.5.255.255 | 131,070 |
| 4 | 212.6.0.0/15 | 212.6.0.1 to 212.7.255.254 | 212.7.255.255 | 131,070 |
| 5 | 212.8.0.0/15 | 212.8.0.1 to 212.9.255.254 | 212.9.255.255 | 131,070 |
| 6 | 212.10.0.0/15 | 212.10.0.1 to 212.11.255.254 | 212.11.255.255 | 131,070 |
| 7 | 212.12.0.0/15 | 212.12.0.1 to 212.13.255.254 | 212.13.255.255 | 131,070 |
| 8 | 212.14.0.0/15 | 212.14.0.1 to 212.15.255.254 | 212.15.255.255 | 131,070 |
| 9 | 212.16.0.0/15 | 212.16.0.1 to 212.17.255.254 | 212.17.255.255 | 131,070 |
| 10 | 212.18.0.0/15 | 212.18.0.1 to 212.19.255.254 | 212.19.255.255 | 131,070 |
| 11 | 212.20.0.0/15 | 212.20.0.1 to 212.21.255.254 | 212.21.255.255 | 131,070 |
| 12 | 212.22.0.0/15 | 212.22.0.1 to 212.23.255.254 | 212.23.255.255 | 131,070 |
| 13 | 212.24.0.0/15 | 212.24.0.1 to 212.25.255.254 | 212.25.255.255 | 131,070 |
| 14 | 212.26.0.0/15 | 212.26.0.1 to 212.27.255.254 | 212.27.255.255 | 131,070 |
| 15 | 212.28.0.0/15 | 212.28.0.1 to 212.29.255.254 | 212.29.255.255 | 131,070 |
| 16 | 212.30.0.0/15 | 212.30.0.1 to 212.31.255.254 | 212.31.255.255 | 131,070 |
| 17 | 212.32.0.0/15 | 212.32.0.1 to 212.33.255.254 | 212.33.255.255 | 131,070 |
| 18 | 212.34.0.0/15 | 212.34.0.1 to 212.35.255.254 | 212.35.255.255 | 131,070 |
| 19 | 212.36.0.0/15 | 212.36.0.1 to 212.37.255.254 | 212.37.255.255 | 131,070 |
| 20 | 212.38.0.0/15 | 212.38.0.1 to 212.39.255.254 | 212.39.255.255 | 131,070 |
| 21 | 212.40.0.0/15 | 212.40.0.1 to 212.41.255.254 | 212.41.255.255 | 131,070 |
| 22 | 212.42.0.0/15 | 212.42.0.1 to 212.43.255.254 | 212.43.255.255 | 131,070 |
| 23 | 212.44.0.0/15 | 212.44.0.1 to 212.45.255.254 | 212.45.255.255 | 131,070 |
| 24 | 212.46.0.0/15 | 212.46.0.1 to 212.47.255.254 | 212.47.255.255 | 131,070 |
| 25 | 212.48.0.0/15 | 212.48.0.1 to 212.49.255.254 | 212.49.255.255 | 131,070 |
| 26 | 212.50.0.0/15 | 212.50.0.1 to 212.51.255.254 | 212.51.255.255 | 131,070 |
| 27 | 212.52.0.0/15 | 212.52.0.1 to 212.53.255.254 | 212.53.255.255 | 131,070 |
| 28 | 212.54.0.0/15 | 212.54.0.1 to 212.55.255.254 | 212.55.255.255 | 131,070 |
| 29 | 212.56.0.0/15 | 212.56.0.1 to 212.57.255.254 | 212.57.255.255 | 131,070 |
| 30 | 212.58.0.0/15 | 212.58.0.1 to 212.59.255.254 | 212.59.255.255 | 131,070 |
| 31 | 212.60.0.0/15 | 212.60.0.1 to 212.61.255.254 | 212.61.255.255 | 131,070 |
| 32 | 212.62.0.0/15 | 212.62.0.1 to 212.63.255.254 | 212.63.255.255 | 131,070 |
| 33 | 212.64.0.0/15 | 212.64.0.1 to 212.65.255.254 | 212.65.255.255 | 131,070 |
| 34 | 212.66.0.0/15 | 212.66.0.1 to 212.67.255.254 | 212.67.255.255 | 131,070 |
| 35 | 212.68.0.0/15 | 212.68.0.1 to 212.69.255.254 | 212.69.255.255 | 131,070 |
| 36 | 212.70.0.0/15 | 212.70.0.1 to 212.71.255.254 | 212.71.255.255 | 131,070 |
| 37 | 212.72.0.0/15 | 212.72.0.1 to 212.73.255.254 | 212.73.255.255 | 131,070 |
| 38 | 212.74.0.0/15 | 212.74.0.1 to 212.75.255.254 | 212.75.255.255 | 131,070 |
| 39 | 212.76.0.0/15 | 212.76.0.1 to 212.77.255.254 | 212.77.255.255 | 131,070 |
| 40 | 212.78.0.0/15 | 212.78.0.1 to 212.79.255.254 | 212.79.255.255 | 131,070 |
| 41 | 212.80.0.0/15 | 212.80.0.1 to 212.81.255.254 | 212.81.255.255 | 131,070 |
| 42 | 212.82.0.0/15 | 212.82.0.1 to 212.83.255.254 | 212.83.255.255 | 131,070 |
| 43 | 212.84.0.0/15 | 212.84.0.1 to 212.85.255.254 | 212.85.255.255 | 131,070 |
| 44 | 212.86.0.0/15 | 212.86.0.1 to 212.87.255.254 | 212.87.255.255 | 131,070 |
| 45 | 212.88.0.0/15 | 212.88.0.1 to 212.89.255.254 | 212.89.255.255 | 131,070 |
| 46 | 212.90.0.0/15 | 212.90.0.1 to 212.91.255.254 | 212.91.255.255 | 131,070 |
| 47 | 212.92.0.0/15 | 212.92.0.1 to 212.93.255.254 | 212.93.255.255 | 131,070 |
| 48 | 212.94.0.0/15 | 212.94.0.1 to 212.95.255.254 | 212.95.255.255 | 131,070 |
| 49 | 212.96.0.0/15 | 212.96.0.1 to 212.97.255.254 | 212.97.255.255 | 131,070 |
| 50 | 212.98.0.0/15 | 212.98.0.1 to 212.99.255.254 | 212.99.255.255 | 131,070 |
| 51 | 212.100.0.0/15 | 212.100.0.1 to 212.101.255.254 | 212.101.255.255 | 131,070 |
| 52 | 212.102.0.0/15 | 212.102.0.1 to 212.103.255.254 | 212.103.255.255 | 131,070 |
| 53 | 212.104.0.0/15 | 212.104.0.1 to 212.105.255.254 | 212.105.255.255 | 131,070 |
| 54 | 212.106.0.0/15 | 212.106.0.1 to 212.107.255.254 | 212.107.255.255 | 131,070 |
| 55 | 212.108.0.0/15 | 212.108.0.1 to 212.109.255.254 | 212.109.255.255 | 131,070 |
| 56 | 212.110.0.0/15 | 212.110.0.1 to 212.111.255.254 | 212.111.255.255 | 131,070 |
| 57 | 212.112.0.0/15 | 212.112.0.1 to 212.113.255.254 | 212.113.255.255 | 131,070 |
| 58 | 212.114.0.0/15 | 212.114.0.1 to 212.115.255.254 | 212.115.255.255 | 131,070 |
| 59 | 212.116.0.0/15 | 212.116.0.1 to 212.117.255.254 | 212.117.255.255 | 131,070 |
| 60 | 212.118.0.0/15 | 212.118.0.1 to 212.119.255.254 | 212.119.255.255 | 131,070 |
| 61 | 212.120.0.0/15 | 212.120.0.1 to 212.121.255.254 | 212.121.255.255 | 131,070 |
| 62 | 212.122.0.0/15 | 212.122.0.1 to 212.123.255.254 | 212.123.255.255 | 131,070 |
| 63 | 212.124.0.0/15 | 212.124.0.1 to 212.125.255.254 | 212.125.255.255 | 131,070 |
| 64 | 212.126.0.0/15 | 212.126.0.1 to 212.127.255.254 | 212.127.255.255 | 131,070 |
| 65 | 212.128.0.0/15 | 212.128.0.1 to 212.129.255.254 | 212.129.255.255 | 131,070 |
| 66 | 212.130.0.0/15 | 212.130.0.1 to 212.131.255.254 | 212.131.255.255 | 131,070 |
| 67 | 212.132.0.0/15 | 212.132.0.1 to 212.133.255.254 | 212.133.255.255 | 131,070 |
| 68 | 212.134.0.0/15 | 212.134.0.1 to 212.135.255.254 | 212.135.255.255 | 131,070 |
| 69 | 212.136.0.0/15 | 212.136.0.1 to 212.137.255.254 | 212.137.255.255 | 131,070 |
| 70 | 212.138.0.0/15 | 212.138.0.1 to 212.139.255.254 | 212.139.255.255 | 131,070 |
| 71 | 212.140.0.0/15 | 212.140.0.1 to 212.141.255.254 | 212.141.255.255 | 131,070 |
| 72 | 212.142.0.0/15 | 212.142.0.1 to 212.143.255.254 | 212.143.255.255 | 131,070 |
| 73 | 212.144.0.0/15 | 212.144.0.1 to 212.145.255.254 | 212.145.255.255 | 131,070 |
| 74 | 212.146.0.0/15 | 212.146.0.1 to 212.147.255.254 | 212.147.255.255 | 131,070 |
| 75 | 212.148.0.0/15 | 212.148.0.1 to 212.149.255.254 | 212.149.255.255 | 131,070 |
| 76 | 212.150.0.0/15 | 212.150.0.1 to 212.151.255.254 | 212.151.255.255 | 131,070 |
| 77 | 212.152.0.0/15 | 212.152.0.1 to 212.153.255.254 | 212.153.255.255 | 131,070 |
| 78 | 212.154.0.0/15 | 212.154.0.1 to 212.155.255.254 | 212.155.255.255 | 131,070 |
| 79 | 212.156.0.0/15 | 212.156.0.1 to 212.157.255.254 | 212.157.255.255 | 131,070 |
| 80 | 212.158.0.0/15 | 212.158.0.1 to 212.159.255.254 | 212.159.255.255 | 131,070 |
| 81 | 212.160.0.0/15 | 212.160.0.1 to 212.161.255.254 | 212.161.255.255 | 131,070 |
| 82 | 212.162.0.0/15 | 212.162.0.1 to 212.163.255.254 | 212.163.255.255 | 131,070 |
| 83 | 212.164.0.0/15 | 212.164.0.1 to 212.165.255.254 | 212.165.255.255 | 131,070 |
| 84 | 212.166.0.0/15 | 212.166.0.1 to 212.167.255.254 | 212.167.255.255 | 131,070 |
| 85 | 212.168.0.0/15 | 212.168.0.1 to 212.169.255.254 | 212.169.255.255 | 131,070 |
| 86 | 212.170.0.0/15 | 212.170.0.1 to 212.171.255.254 | 212.171.255.255 | 131,070 |
| 87 | 212.172.0.0/15 | 212.172.0.1 to 212.173.255.254 | 212.173.255.255 | 131,070 |
| 88 | 212.174.0.0/15 | 212.174.0.1 to 212.175.255.254 | 212.175.255.255 | 131,070 |
| 89 | 212.176.0.0/15 | 212.176.0.1 to 212.177.255.254 | 212.177.255.255 | 131,070 |
| 90 | 212.178.0.0/15 | 212.178.0.1 to 212.179.255.254 | 212.179.255.255 | 131,070 |
| 91 | 212.180.0.0/15 | 212.180.0.1 to 212.181.255.254 | 212.181.255.255 | 131,070 |
| 92 | 212.182.0.0/15 | 212.182.0.1 to 212.183.255.254 | 212.183.255.255 | 131,070 |
| 93 | 212.184.0.0/15 | 212.184.0.1 to 212.185.255.254 | 212.185.255.255 | 131,070 |
| 94 | 212.186.0.0/15 | 212.186.0.1 to 212.187.255.254 | 212.187.255.255 | 131,070 |
| 95 | 212.188.0.0/15 | 212.188.0.1 to 212.189.255.254 | 212.189.255.255 | 131,070 |
| 96 | 212.190.0.0/15 | 212.190.0.1 to 212.191.255.254 | 212.191.255.255 | 131,070 |
| 97 | 212.192.0.0/15 | 212.192.0.1 to 212.193.255.254 | 212.193.255.255 | 131,070 |
| 98 | 212.194.0.0/15 | 212.194.0.1 to 212.195.255.254 | 212.195.255.255 | 131,070 |
| 99 | 212.196.0.0/15 | 212.196.0.1 to 212.197.255.254 | 212.197.255.255 | 131,070 |
| 100 | 212.198.0.0/15 | 212.198.0.1 to 212.199.255.254 | 212.199.255.255 | 131,070 |
| 101 | 212.200.0.0/15 | 212.200.0.1 to 212.201.255.254 | 212.201.255.255 | 131,070 |
| 102 | 212.202.0.0/15 | 212.202.0.1 to 212.203.255.254 | 212.203.255.255 | 131,070 |
| 103 | 212.204.0.0/15 | 212.204.0.1 to 212.205.255.254 | 212.205.255.255 | 131,070 |
| 104 | 212.206.0.0/15 | 212.206.0.1 to 212.207.255.254 | 212.207.255.255 | 131,070 |
| 105 | 212.208.0.0/15 | 212.208.0.1 to 212.209.255.254 | 212.209.255.255 | 131,070 |
| 106 | 212.210.0.0/15 | 212.210.0.1 to 212.211.255.254 | 212.211.255.255 | 131,070 |
| 107 | 212.212.0.0/15 | 212.212.0.1 to 212.213.255.254 | 212.213.255.255 | 131,070 |
| 108 | 212.214.0.0/15 | 212.214.0.1 to 212.215.255.254 | 212.215.255.255 | 131,070 |
| 109 | 212.216.0.0/15 | 212.216.0.1 to 212.217.255.254 | 212.217.255.255 | 131,070 |
| 110 | 212.218.0.0/15 | 212.218.0.1 to 212.219.255.254 | 212.219.255.255 | 131,070 |
| 111 | 212.220.0.0/15 | 212.220.0.1 to 212.221.255.254 | 212.221.255.255 | 131,070 |
| 112 | 212.222.0.0/15 | 212.222.0.1 to 212.223.255.254 | 212.223.255.255 | 131,070 |
| 113 | 212.224.0.0/15 | 212.224.0.1 to 212.225.255.254 | 212.225.255.255 | 131,070 |
| 114 | 212.226.0.0/15 | 212.226.0.1 to 212.227.255.254 | 212.227.255.255 | 131,070 |
| 115 | 212.228.0.0/15 | 212.228.0.1 to 212.229.255.254 | 212.229.255.255 | 131,070 |
| 116 | 212.230.0.0/15 | 212.230.0.1 to 212.231.255.254 | 212.231.255.255 | 131,070 |
| 117 | 212.232.0.0/15 | 212.232.0.1 to 212.233.255.254 | 212.233.255.255 | 131,070 |
| 118 | 212.234.0.0/15 | 212.234.0.1 to 212.235.255.254 | 212.235.255.255 | 131,070 |
| 119 | 212.236.0.0/15 | 212.236.0.1 to 212.237.255.254 | 212.237.255.255 | 131,070 |
| 120 | 212.238.0.0/15 | 212.238.0.1 to 212.239.255.254 | 212.239.255.255 | 131,070 |
| 121 | 212.240.0.0/15 | 212.240.0.1 to 212.241.255.254 | 212.241.255.255 | 131,070 |
| 122 | 212.242.0.0/15 | 212.242.0.1 to 212.243.255.254 | 212.243.255.255 | 131,070 |
| 123 | 212.244.0.0/15 | 212.244.0.1 to 212.245.255.254 | 212.245.255.255 | 131,070 |
| 124 | 212.246.0.0/15 | 212.246.0.1 to 212.247.255.254 | 212.247.255.255 | 131,070 |
| 125 | 212.248.0.0/15 | 212.248.0.1 to 212.249.255.254 | 212.249.255.255 | 131,070 |
| 126 | 212.250.0.0/15 | 212.250.0.1 to 212.251.255.254 | 212.251.255.255 | 131,070 |
| 127 | 212.252.0.0/15 | 212.252.0.1 to 212.253.255.254 | 212.253.255.255 | 131,070 |
| 128 | 212.254.0.0/15 | 212.254.0.1 to 212.255.255.254 | 212.255.255.255 | 131,070 |
| 129 | 213.0.0.0/15 | 213.0.0.1 to 213.1.255.254 | 213.1.255.255 | 131,070 |
| 130 | 213.2.0.0/15 | 213.2.0.1 to 213.3.255.254 | 213.3.255.255 | 131,070 |
| 131 | 213.4.0.0/15 | 213.4.0.1 to 213.5.255.254 | 213.5.255.255 | 131,070 |
| 132 | 213.6.0.0/15 | 213.6.0.1 to 213.7.255.254 | 213.7.255.255 | 131,070 |
| 133 | 213.8.0.0/15 | 213.8.0.1 to 213.9.255.254 | 213.9.255.255 | 131,070 |
| 134 | 213.10.0.0/15 | 213.10.0.1 to 213.11.255.254 | 213.11.255.255 | 131,070 |
| 135 | 213.12.0.0/15 | 213.12.0.1 to 213.13.255.254 | 213.13.255.255 | 131,070 |
| 136 | 213.14.0.0/15 | 213.14.0.1 to 213.15.255.254 | 213.15.255.255 | 131,070 |
| 137 | 213.16.0.0/15 | 213.16.0.1 to 213.17.255.254 | 213.17.255.255 | 131,070 |
| 138 | 213.18.0.0/15 | 213.18.0.1 to 213.19.255.254 | 213.19.255.255 | 131,070 |
| 139 | 213.20.0.0/15 | 213.20.0.1 to 213.21.255.254 | 213.21.255.255 | 131,070 |
| 140 | 213.22.0.0/15 | 213.22.0.1 to 213.23.255.254 | 213.23.255.255 | 131,070 |
| 141 | 213.24.0.0/15 | 213.24.0.1 to 213.25.255.254 | 213.25.255.255 | 131,070 |
| 142 | 213.26.0.0/15 | 213.26.0.1 to 213.27.255.254 | 213.27.255.255 | 131,070 |
| 143 | 213.28.0.0/15 | 213.28.0.1 to 213.29.255.254 | 213.29.255.255 | 131,070 |
| 144 | 213.30.0.0/15 | 213.30.0.1 to 213.31.255.254 | 213.31.255.255 | 131,070 |
| 145 | 213.32.0.0/15 | 213.32.0.1 to 213.33.255.254 | 213.33.255.255 | 131,070 |
| 146 | 213.34.0.0/15 | 213.34.0.1 to 213.35.255.254 | 213.35.255.255 | 131,070 |
| 147 | 213.36.0.0/15 | 213.36.0.1 to 213.37.255.254 | 213.37.255.255 | 131,070 |
| 148 | 213.38.0.0/15 | 213.38.0.1 to 213.39.255.254 | 213.39.255.255 | 131,070 |
| 149 | 213.40.0.0/15 | 213.40.0.1 to 213.41.255.254 | 213.41.255.255 | 131,070 |
| 150 | 213.42.0.0/15 | 213.42.0.1 to 213.43.255.254 | 213.43.255.255 | 131,070 |
| 151 | 213.44.0.0/15 | 213.44.0.1 to 213.45.255.254 | 213.45.255.255 | 131,070 |
| 152 | 213.46.0.0/15 | 213.46.0.1 to 213.47.255.254 | 213.47.255.255 | 131,070 |
| 153 | 213.48.0.0/15 | 213.48.0.1 to 213.49.255.254 | 213.49.255.255 | 131,070 |
| 154 | 213.50.0.0/15 | 213.50.0.1 to 213.51.255.254 | 213.51.255.255 | 131,070 |
| 155 | 213.52.0.0/15 | 213.52.0.1 to 213.53.255.254 | 213.53.255.255 | 131,070 |
| 156 | 213.54.0.0/15 | 213.54.0.1 to 213.55.255.254 | 213.55.255.255 | 131,070 |
| 157 | 213.56.0.0/15 | 213.56.0.1 to 213.57.255.254 | 213.57.255.255 | 131,070 |
| 158 | 213.58.0.0/15 | 213.58.0.1 to 213.59.255.254 | 213.59.255.255 | 131,070 |
| 159 | 213.60.0.0/15 | 213.60.0.1 to 213.61.255.254 | 213.61.255.255 | 131,070 |
| 160 | 213.62.0.0/15 | 213.62.0.1 to 213.63.255.254 | 213.63.255.255 | 131,070 |
| 161 | 213.64.0.0/15 | 213.64.0.1 to 213.65.255.254 | 213.65.255.255 | 131,070 |
| 162 | 213.66.0.0/15 | 213.66.0.1 to 213.67.255.254 | 213.67.255.255 | 131,070 |
| 163 | 213.68.0.0/15 | 213.68.0.1 to 213.69.255.254 | 213.69.255.255 | 131,070 |
| 164 | 213.70.0.0/15 | 213.70.0.1 to 213.71.255.254 | 213.71.255.255 | 131,070 |
| 165 | 213.72.0.0/15 | 213.72.0.1 to 213.73.255.254 | 213.73.255.255 | 131,070 |
| 166 | 213.74.0.0/15 | 213.74.0.1 to 213.75.255.254 | 213.75.255.255 | 131,070 |
| 167 | 213.76.0.0/15 | 213.76.0.1 to 213.77.255.254 | 213.77.255.255 | 131,070 |
| 168 | 213.78.0.0/15 | 213.78.0.1 to 213.79.255.254 | 213.79.255.255 | 131,070 |
| 169 | 213.80.0.0/15 | 213.80.0.1 to 213.81.255.254 | 213.81.255.255 | 131,070 |
| 170 | 213.82.0.0/15 | 213.82.0.1 to 213.83.255.254 | 213.83.255.255 | 131,070 |
| 171 | 213.84.0.0/15 | 213.84.0.1 to 213.85.255.254 | 213.85.255.255 | 131,070 |
| 172 | 213.86.0.0/15 | 213.86.0.1 to 213.87.255.254 | 213.87.255.255 | 131,070 |
| 173 | 213.88.0.0/15 | 213.88.0.1 to 213.89.255.254 | 213.89.255.255 | 131,070 |
| 174 | 213.90.0.0/15 | 213.90.0.1 to 213.91.255.254 | 213.91.255.255 | 131,070 |
| 175 | 213.92.0.0/15 | 213.92.0.1 to 213.93.255.254 | 213.93.255.255 | 131,070 |
| 176 | 213.94.0.0/15 | 213.94.0.1 to 213.95.255.254 | 213.95.255.255 | 131,070 |
| 177 | 213.96.0.0/15 | 213.96.0.1 to 213.97.255.254 | 213.97.255.255 | 131,070 |
| 178 | 213.98.0.0/15 | 213.98.0.1 to 213.99.255.254 | 213.99.255.255 | 131,070 |
| 179 | 213.100.0.0/15 | 213.100.0.1 to 213.101.255.254 | 213.101.255.255 | 131,070 |
| 180 | 213.102.0.0/15 | 213.102.0.1 to 213.103.255.254 | 213.103.255.255 | 131,070 |
| 181 | 213.104.0.0/15 | 213.104.0.1 to 213.105.255.254 | 213.105.255.255 | 131,070 |
| 182 | 213.106.0.0/15 | 213.106.0.1 to 213.107.255.254 | 213.107.255.255 | 131,070 |
| 183 | 213.108.0.0/15 | 213.108.0.1 to 213.109.255.254 | 213.109.255.255 | 131,070 |
| 184 | 213.110.0.0/15 | 213.110.0.1 to 213.111.255.254 | 213.111.255.255 | 131,070 |
| 185 | 213.112.0.0/15 | 213.112.0.1 to 213.113.255.254 | 213.113.255.255 | 131,070 |
| 186 | 213.114.0.0/15 | 213.114.0.1 to 213.115.255.254 | 213.115.255.255 | 131,070 |
| 187 | 213.116.0.0/15 | 213.116.0.1 to 213.117.255.254 | 213.117.255.255 | 131,070 |
| 188 | 213.118.0.0/15 | 213.118.0.1 to 213.119.255.254 | 213.119.255.255 | 131,070 |
| 189 | 213.120.0.0/15 | 213.120.0.1 to 213.121.255.254 | 213.121.255.255 | 131,070 |
| 190 | 213.122.0.0/15 | 213.122.0.1 to 213.123.255.254 | 213.123.255.255 | 131,070 |
| 191 | 213.124.0.0/15 | 213.124.0.1 to 213.125.255.254 | 213.125.255.255 | 131,070 |
| 192 | 213.126.0.0/15 | 213.126.0.1 to 213.127.255.254 | 213.127.255.255 | 131,070 |
| 193 | 213.128.0.0/15 | 213.128.0.1 to 213.129.255.254 | 213.129.255.255 | 131,070 |
| 194 | 213.130.0.0/15 | 213.130.0.1 to 213.131.255.254 | 213.131.255.255 | 131,070 |
| 195 | 213.132.0.0/15 | 213.132.0.1 to 213.133.255.254 | 213.133.255.255 | 131,070 |
| 196 | 213.134.0.0/15 | 213.134.0.1 to 213.135.255.254 | 213.135.255.255 | 131,070 |
| 197 | 213.136.0.0/15 | 213.136.0.1 to 213.137.255.254 | 213.137.255.255 | 131,070 |
| 198 | 213.138.0.0/15 | 213.138.0.1 to 213.139.255.254 | 213.139.255.255 | 131,070 |
| 199 | 213.140.0.0/15 | 213.140.0.1 to 213.141.255.254 | 213.141.255.255 | 131,070 |
| 200 | 213.142.0.0/15 | 213.142.0.1 to 213.143.255.254 | 213.143.255.255 | 131,070 |
| 201 | 213.144.0.0/15 | 213.144.0.1 to 213.145.255.254 | 213.145.255.255 | 131,070 |
| 202 | 213.146.0.0/15 | 213.146.0.1 to 213.147.255.254 | 213.147.255.255 | 131,070 |
| 203 | 213.148.0.0/15 | 213.148.0.1 to 213.149.255.254 | 213.149.255.255 | 131,070 |
| 204 | 213.150.0.0/15 | 213.150.0.1 to 213.151.255.254 | 213.151.255.255 | 131,070 |
| 205 | 213.152.0.0/15 | 213.152.0.1 to 213.153.255.254 | 213.153.255.255 | 131,070 |
| 206 | 213.154.0.0/15 | 213.154.0.1 to 213.155.255.254 | 213.155.255.255 | 131,070 |
| 207 | 213.156.0.0/15 | 213.156.0.1 to 213.157.255.254 | 213.157.255.255 | 131,070 |
| 208 | 213.158.0.0/15 | 213.158.0.1 to 213.159.255.254 | 213.159.255.255 | 131,070 |
| 209 | 213.160.0.0/15 | 213.160.0.1 to 213.161.255.254 | 213.161.255.255 | 131,070 |
| 210 | 213.162.0.0/15 | 213.162.0.1 to 213.163.255.254 | 213.163.255.255 | 131,070 |
| 211 | 213.164.0.0/15 | 213.164.0.1 to 213.165.255.254 | 213.165.255.255 | 131,070 |
| 212 | 213.166.0.0/15 | 213.166.0.1 to 213.167.255.254 | 213.167.255.255 | 131,070 |
| 213 | 213.168.0.0/15 | 213.168.0.1 to 213.169.255.254 | 213.169.255.255 | 131,070 |
| 214 | 213.170.0.0/15 | 213.170.0.1 to 213.171.255.254 | 213.171.255.255 | 131,070 |
| 215 | 213.172.0.0/15 | 213.172.0.1 to 213.173.255.254 | 213.173.255.255 | 131,070 |
| 216 | 213.174.0.0/15 | 213.174.0.1 to 213.175.255.254 | 213.175.255.255 | 131,070 |
| 217 | 213.176.0.0/15 | 213.176.0.1 to 213.177.255.254 | 213.177.255.255 | 131,070 |
| 218 | 213.178.0.0/15 | 213.178.0.1 to 213.179.255.254 | 213.179.255.255 | 131,070 |
| 219 | 213.180.0.0/15 | 213.180.0.1 to 213.181.255.254 | 213.181.255.255 | 131,070 |
| 220 | 213.182.0.0/15 | 213.182.0.1 to 213.183.255.254 | 213.183.255.255 | 131,070 |
| 221 | 213.184.0.0/15 | 213.184.0.1 to 213.185.255.254 | 213.185.255.255 | 131,070 |
| 222 | 213.186.0.0/15 | 213.186.0.1 to 213.187.255.254 | 213.187.255.255 | 131,070 |
| 223 | 213.188.0.0/15 | 213.188.0.1 to 213.189.255.254 | 213.189.255.255 | 131,070 |
| 224 | 213.190.0.0/15 | 213.190.0.1 to 213.191.255.254 | 213.191.255.255 | 131,070 |
| 225 | 213.192.0.0/15 | 213.192.0.1 to 213.193.255.254 | 213.193.255.255 | 131,070 |
| 226 | 213.194.0.0/15 | 213.194.0.1 to 213.195.255.254 | 213.195.255.255 | 131,070 |
| 227 | 213.196.0.0/15 | 213.196.0.1 to 213.197.255.254 | 213.197.255.255 | 131,070 |
| 228 | 213.198.0.0/15 | 213.198.0.1 to 213.199.255.254 | 213.199.255.255 | 131,070 |
| 229 | 213.200.0.0/15 | 213.200.0.1 to 213.201.255.254 | 213.201.255.255 | 131,070 |
| 230 | 213.202.0.0/15 | 213.202.0.1 to 213.203.255.254 | 213.203.255.255 | 131,070 |
| 231 | 213.204.0.0/15 | 213.204.0.1 to 213.205.255.254 | 213.205.255.255 | 131,070 |
| 232 | 213.206.0.0/15 | 213.206.0.1 to 213.207.255.254 | 213.207.255.255 | 131,070 |
| 233 | 213.208.0.0/15 | 213.208.0.1 to 213.209.255.254 | 213.209.255.255 | 131,070 |
| 234 | 213.210.0.0/15 | 213.210.0.1 to 213.211.255.254 | 213.211.255.255 | 131,070 |
| 235 | 213.212.0.0/15 | 213.212.0.1 to 213.213.255.254 | 213.213.255.255 | 131,070 |
| 236 | 213.214.0.0/15 | 213.214.0.1 to 213.215.255.254 | 213.215.255.255 | 131,070 |
| 237 | 213.216.0.0/15 | 213.216.0.1 to 213.217.255.254 | 213.217.255.255 | 131,070 |
| 238 | 213.218.0.0/15 | 213.218.0.1 to 213.219.255.254 | 213.219.255.255 | 131,070 |
| 239 | 213.220.0.0/15 | 213.220.0.1 to 213.221.255.254 | 213.221.255.255 | 131,070 |
| 240 | 213.222.0.0/15 | 213.222.0.1 to 213.223.255.254 | 213.223.255.255 | 131,070 |
| 241 | 213.224.0.0/15 | 213.224.0.1 to 213.225.255.254 | 213.225.255.255 | 131,070 |
| 242 | 213.226.0.0/15 | 213.226.0.1 to 213.227.255.254 | 213.227.255.255 | 131,070 |
| 243 | 213.228.0.0/15 | 213.228.0.1 to 213.229.255.254 | 213.229.255.255 | 131,070 |
| 244 | 213.230.0.0/15 | 213.230.0.1 to 213.231.255.254 | 213.231.255.255 | 131,070 |
| 245 | 213.232.0.0/15 | 213.232.0.1 to 213.233.255.254 | 213.233.255.255 | 131,070 |
| 246 | 213.234.0.0/15 | 213.234.0.1 to 213.235.255.254 | 213.235.255.255 | 131,070 |
| 247 | 213.236.0.0/15 | 213.236.0.1 to 213.237.255.254 | 213.237.255.255 | 131,070 |
| 248 | 213.238.0.0/15 | 213.238.0.1 to 213.239.255.254 | 213.239.255.255 | 131,070 |
| 249 | 213.240.0.0/15 | 213.240.0.1 to 213.241.255.254 | 213.241.255.255 | 131,070 |
| 250 | 213.242.0.0/15 | 213.242.0.1 to 213.243.255.254 | 213.243.255.255 | 131,070 |
| 251 | 213.244.0.0/15 | 213.244.0.1 to 213.245.255.254 | 213.245.255.255 | 131,070 |
| 252 | 213.246.0.0/15 | 213.246.0.1 to 213.247.255.254 | 213.247.255.255 | 131,070 |
| 253 | 213.248.0.0/15 | 213.248.0.1 to 213.249.255.254 | 213.249.255.255 | 131,070 |
| 254 | 213.250.0.0/15 | 213.250.0.1 to 213.251.255.254 | 213.251.255.255 | 131,070 |
| 255 | 213.252.0.0/15 | 213.252.0.1 to 213.253.255.254 | 213.253.255.255 | 131,070 |
| 256 | 213.254.0.0/15 | 213.254.0.1 to 213.255.255.254 | 213.255.255.255 | 131,070 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |